# utils.py
# Funções auxiliares diversas
from hashlib import file_digest


def gerar_assinatura_SHA256_ficheiro(caminho_ficheiro: str) -> str:
    """
    Gerar assinatura SHA256 do ficheiro passado
    """
    with open(caminho_ficheiro, "rb") as ficheiro:
        digest = file_digest(ficheiro, "sha256")
    return digest.hexdigest()
